--
-- Apache Derby - Off to the Races
-- Copyright (c) 2005 George Baklarz, Paul Zikopoulos, Dan Scott
--

connect 'jdbc:derby:YMLD;create=true;user=APP;password=APP';

--
-- Create Employee table with a sequence number starting at a different increment.
--

DROP TABLE EMPLOYEE;

CREATE TABLE EMPLOYEE
  (
  ID         SMALLINT GENERATED ALWAYS AS IDENTITY
               (START WITH 100, INCREMENT BY 10),
  Name       VARCHAR(9) NOT NULL,
  Dept       SMALLINT,
  Hiredate   DATE NOT NULL WITH DEFAULT CURRENT_DATE, 
  Salary     DECIMAL(7,2) NOT NULL DEFAULT 10000.00
  );

INSERT INTO EMPLOYEE(NAME) VALUES 'George','Paul','Dan';

SELECT * FROM EMPLOYEE;

QUIT;