--
-- Apache Derby - Off to the Races
-- Copyright (c) 2005 George Baklarz, Paul Zikopoulos, Dan Scott
--

connect 'jdbc:derby:YMLD;create=true;user=APP;password=APP';

--
-- Insert data
--

DROP TABLE WORKERS;

CREATE TABLE WORKERS
  (
  NAME VARCHAR(8), 
  DEPTNO INT, 
  SALARY INT DEFAULT 10000
  );

-- Insert based on column order

INSERT INTO WORKERS(NAME, DEPTNO, SALARY)
  VALUES ('Geoffrey',1,15000);

-- Use DEFAULT value clause

INSERT INTO WORKERS(DEPTNO, NAME, SALARY)
  VALUES 
  (NULL,'Andrew',DEFAULT);

-- Take default values

INSERT INTO WORKERS
  VALUES 
  ('Katrina',3,20000);

-- Insert into a specific column

INSERT INTO WORKERS(NAME)
  VALUES 
  ('Ellie');

-- Inserting multiple values

INSERT INTO WORKERS
  VALUES 
  ('Tristan',NULL,20000),
  ('Basil',3,DEFAULT);

-- Show the values

SELECT * FROM WORKERS;

QUIT;