--
-- Apache Derby - Off to the Races
-- Copyright (c) 2005 George Baklarz, Paul Zikopoulos, Dan Scott
--

connect 'jdbc:derby:YMLD;create=true;user=APP;password=APP';

--
-- Ensuring the proper join order
--

-- Specific records from the DEPT table

SELECT * FROM DEPT
WHERE 
  DESCR='Plumbing' or DESCR='Sales';

-- Joining two tables, but wrong results

SELECT 
  DEPT.DESCR, EMPL.NAME
FROM 
  DEPT, EMPL
WHERE 
  DESCR='Plumbing' OR DESCR='Sales' AND
  DEPT.DEPTNO = EMPL.DEPTNO;

-- Adding Brackets () to get the correct join order

SELECT 
  DEPT.DESCR, EMPL.NAME 
FROM 
  DEPT, EMPL
WHERE 
  (DESCR='Plumbing' OR DESCR='Sales') AND
  DEPT.DEPTNO = EMPL.DEPTNO;

-- Inner Join example (same as above)

SELECT DEPT.DESCR, EMPL.NAME 
  FROM DEPT
    INNER JOIN EMPL
    ON    (EMPL.DEPTNO = DEPT.DEPTNO)
  WHERE 
    (DESCR='Plumbing' OR DESCR='Sales');

QUIT;