--
-- Apache Derby - Off to the Races
-- Copyright (c) 2005 George Baklarz, Paul Zikopoulos, Dan Scott
--

connect 'jdbc:derby:YMLD;create=true;user=APP;password=APP';

--
-- Outer Join example
--

-- Create Department with no department number

INSERT INTO DEPT VALUES (NULL, 'Electrical');

-- Create Employee with no department number

INSERT INTO EMPL VALUES ('Bernard',NULL,22000);

-- Show Department and Employee tables

SELECT * FROM DEPT;

SELECT * FROM EMPL;

-- Show Inner Join result

SELECT EMPL.NAME, EMPL.SALARY, DEPT.DESCR
  FROM EMPL
    INNER JOIN DEPT
    ON    (EMPL.DEPTNO = DEPT.DEPTNO);

-- Left Outer Join

SELECT EMPL.NAME, EMPL.SALARY, DEPT.DESCR
  FROM EMPL
    LEFT OUTER JOIN DEPT
    ON    (EMPL.DEPTNO = DEPT.DEPTNO);

-- Right Outer Join

SELECT EMPL.NAME, EMPL.SALARY, DEPT.DESCR
  FROM EMPL
    RIGHT OUTER JOIN DEPT
    ON    (EMPL.DEPTNO = DEPT.DEPTNO);

QUIT;