--
-- Apache Derby - Off to the Races
-- Copyright (c) 2005 George Baklarz, Paul Zikopoulos, Dan Scott
--

connect 'jdbc:derby:YMLD;create=true;user=APP;password=APP';

--
-- Quantified Predicate
--

-- Create new WORKERS table

DROP TABLE WORKERS;

CREATE TABLE WORKERS
  (
  NAME VARCHAR(8), 
  DEPTNO INT, 
  SALARY INT DEFAULT 10000
  );

INSERT INTO WORKERS VALUES
  ('Jean',1,15000),('Pete',2,20000),('Brunis',5,18000),
  ('Lottie',5,19000),('Geoffrey',2,25000),('Andrew',3,11000),
  ('Ellie',5,9000);

-- What workers make more than the average salary?

SELECT * FROM WORKERS
WHERE
  SALARY > 
    (SELECT MAX(SALARY) FROM WORKERS
     WHERE
       DEPTNO = 5
    );

-- Same calculation using the ALL predicate

SELECT * FROM WORKERS
WHERE
  SALARY > ALL  
    (SELECT SALARY FROM WORKERS
     WHERE
       DEPTNO = 5
    );

-- Some predicate

SELECT * FROM WORKERS
WHERE
  SALARY > SOME  
    (SELECT SALARY FROM WORKERS
     WHERE
       DEPTNO = 5
    );

QUIT;