--
-- Apache Derby - Off to the Races
-- Copyright (c) 2005 George Baklarz, Paul Zikopoulos, Dan Scott
--

connect 'jdbc:derby:YMLD;create=true;user=APP;password=APP';

--
-- Scalar Fullselect
--

-- Create temporary tables to use

DROP TABLE EMPL_BONUSES; 

CREATE TABLE EMPL_BONUSES
  ( NAME VARCHAR(10), SALARY INT, BONUS INT );

INSERT INTO EMPL_BONUSES(NAME, SALARY)
  VALUES
    ('Jean',15000),('Ellie',18000),('Pete',20000),('Geoffrey',25000),
    ('Andrew',3000);

DROP TABLE BONUSES;

CREATE TABLE BONUSES
  ( NAME VARCHAR(10),BONUS INT );

INSERT INTO BONUSES
  VALUES
    ('Jean',1000),('Ellie',500),('Pete',2000),('Pete',3000),
    ('Ellie',2000),('Jean',300),('Andrew',3000);

UPDATE EMPL_BONUSES
  SET BONUS = 
   (SELECT SUM(BONUSES.BONUS) FROM BONUSES
    WHERE 
      BONUSES.NAME = EMPL_BONUSES.NAME
   );

SELECT * FROM EMPL_BONUSES;

-- Use Scalar Fullselects to display information about the data

SELECT 
  NAME, BONUS,
  (SELECT AVG(BONUS) FROM BONUSES) AS AVG_BONUS,
  (SELECT MIN(BONUS) FROM BONUSES) AS MIN_BONUS,
  (SELECT MAX(BONUS) FROM BONUSES) AS MAX_BONUS
FROM 
  EMPL_BONUSES;

-- Information by employee

SELECT 
  NAME, BONUS,
  (SELECT AVG(BONUS) FROM BONUSES 
     WHERE BONUSES.NAME = EMPL_BONUSES.NAME) AS AVG_BONUS,
  (SELECT MIN(BONUS) FROM BONUSES
     WHERE BONUSES.NAME = EMPL_BONUSES.NAME) AS MIN_BONUS,
  (SELECT MAX(BONUS) FROM BONUSES
     WHERE BONUSES.NAME = EMPL_BONUSES.NAME) AS MAX_BONUS
FROM 
  EMPL_BONUSES;

QUIT;