--
-- Apache Derby - Off to the Races
-- Copyright (c) 2005 George Baklarz, Paul Zikopoulos, Dan Scott
--

connect 'jdbc:derby:YMLD;create=true;user=APP;password=APP';

--
-- Simple selects against the data
--

-- Select all data from a table

SELECT * FROM PRODUCTIONS;

-- Select all columns and data from a table

SELECT EMPL.* FROM EMPL;

-- Explicitly list all columns in a table

SELECT  
  PRODUCTION_NO, 
  PRODUCTION_TITLE, 
  PRODUCTION_START,
  PRODUCTION_END
FROM 
  PRODUCTIONS;

-- Specific columns in a table

SELECT PRODUCTION_TITLE, PRODUCTION_START FROM PRODUCTIONS;

-- Changing the order of columns in a table

SELECT PRODUCTION_START, PRODUCTION_TITLE FROM PRODUCTIONS;

-- Adding a condition to what records get displayed

SELECT 
  PRODUCTION_TITLE 
FROM 
  PRODUCTIONS
WHERE 
  PRODUCTION_NO = 2;

-- Multiple lines of logic on a select

SELECT 
  PRODUCTION_NO, PRODUCTION_TITLE, PRODUCTION_END
FROM 
  PRODUCTIONS
WHERE
  PRODUCTION_NO > 5 AND
  PRODUCTION_END < '2005-12-01';

-- Searching for String Patterns

SELECT PRODUCTION_TITLE FROM PRODUCTIONS
  WHERE PRODUCTION_TITLE LIKE '%the%';

-- Searching for specific patterns

SELECT PRODUCTION_TITLE FROM PRODUCTIONS
WHERE PRODUCTION_TITLE LIKE '_a%';


QUIT;