--
-- Apache Derby - Off to the Races
-- Copyright (c) 2005 George Baklarz, Paul Zikopoulos, Dan Scott
--

connect 'jdbc:derby:YMLD;create=true;user=APP;password=APP';

--
-- Sorting SQL output
--

-- Sort by column name
SELECT PRODUCTION_TITLE FROM PRODUCTIONS
ORDER BY PRODUCTION_TITLE;

-- Sort in a descending sequence

SELECT PRODUCTION_TITLE FROM PRODUCTIONS
ORDER BY PRODUCTION_TITLE DESC;

-- Insert some new values to show multiple column sorts

INSERT INTO EMPL VALUES 
  ('John',2,21000),('Susan',3,11000),('Alyse',3,31000);

SELECT DEPT.DEPTNO, EMPL.NAME FROM DEPT, EMPL
  WHERE DEPT.DEPTNO = EMPL.DEPTNO
  ORDER BY 1 DESC, 2 ASC;

-- Order by a calculation (column # in the list)

SELECT NAME, SALARY/10 FROM EMPL
  ORDER BY 2;

-- Order by a correlation name (BONUS)

SELECT NAME, SALARY/10 AS BONUS FROM EMPL
  ORDER BY BONUS;

QUIT;