--
-- Apache Derby - Off to the Races
-- Copyright (c) 2005 George Baklarz, Paul Zikopoulos, Dan Scott
--

connect 'jdbc:derby:YMLD;create=true;user=APP;password=APP';

--
-- Triggers on sets
--

-- Set up some new tables to test 

DROP TABLE TOTAL_SALARY;

CREATE TABLE TOTAL_SALARY (ALLSALARY INT);

INSERT INTO TOTAL_SALARY
  SELECT SUM(SALARY) FROM EMPL_BONUSES;

SELECT * FROM TOTAL_SALARY;

-- Create trigger to update the total salary table

CREATE TRIGGER Check_SALARY
   AFTER UPDATE OF SALARY ON EMPL_BONUSES
   REFERENCING NEW_TABLE AS NEW_SALARY
   FOR EACH STATEMENT MODE DB2SQL
   UPDATE TOTAL_SALARY
     SET ALLSALARY =  
        (SELECT SUM(SALARY) FROM NEW_SALARY);

-- Update bonuses

UPDATE EMPL_BONUSES
   SET SALARY = SALARY * 1.10;

-- Check the total salary table

SELECT * FROM TOTAL_SALARY;

QUIT;