--
-- Apache Derby - Off to the Races
-- Copyright (c) 2005 George Baklarz, Paul Zikopoulos, Dan Scott
--

connect 'jdbc:derby:YMLD;create=true;user=APP;password=APP';

--
-- UNION SQL
--

-- Show bonuses

SELECT * FROM EMPL_BONUSES;

-- Show bonuses and salary for employees as two rows

SELECT NAME, SALARY FROM EMPL_BONUSES
UNION
SELECT NAME, BONUS  FROM EMPL_BONUSES;

-- Keep duplicates

SELECT NAME, SALARY FROM EMPL_BONUSES
UNION ALL
SELECT NAME, BONUS  FROM EMPL_BONUSES;

-- UNION with sorting

SELECT NAME, SALARY 
FROM 
  EMPL_BONUSES
UNION ALL
SELECT NAME, 
  CASE
    WHEN BONUS IS NULL THEN 0
    ELSE BONUS
  END
FROM
  EMPL_BONUSES
ORDER BY NAME;

QUIT;