--
-- Apache Derby - Off to the Races
-- Copyright (c) 2005 George Baklarz, Paul Zikopoulos, Dan Scott
--

connect 'jdbc:derby:YMLD;create=true;user=APP;password=APP';

--
-- Update data
--

UPDATE WORKERS
  SET DEPTNO = 5
  WHERE
    DEPTNO IS NULL;

-- Show all workers in Department 5

SELECT * FROM WORKERS
  WHERE DEPTNO = 5;

-- Show average salary of all workers not in department 5

SELECT AVG(SALARY) FROM WORKERS
  WHERE DEPTNO <> 5;

-- Update workers based on a calculation

UPDATE WORKERS
  SET SALARY = 
        SALARY + 
          ( 
          SELECT AVG(SALARY) FROM WORKERS
          WHERE DEPTNO <> 5
          ) / 10
  WHERE DEPTNO = 5;

SELECT * FROM WORKERS
  WHERE DEPTNO = 5;

QUIT;